{% extends "public/base.html" %}
{% load i18n %}
{% load crispy_forms_tags %}
{% load static %}

{% block additional_head %}

{% endblock %}
{% block title %} Als HelferIn registrieren {% endblock %}

{% block content %}
    <div class="spacer"></div>
    <div class="container">
        
            <form id="registrationForm" action="{% url 'registration_register' %}" method="post" enctype="multipart/form-data">
                <div class="justify-content-center form-div">
                  {% csrf_token %}
                  {{ form.first_name|as_crispy_field }}
                  {{ form.last_name|as_crispy_field }}
                  {{ form.email|as_crispy_field }}
                  {{ form.email_notifications|as_crispy_field }}
                  {{ form.fon|as_crispy_field }}
                  {{ form.sms_notifications|as_crispy_field }}
                  {{ form.languages|as_crispy_field }}
                  {{ form.street_name|as_crispy_field }}
                  {{ form.street_number|as_crispy_field }}
                  {{ form.postal_code|as_crispy_field }}
                  {{ form.city|as_crispy_field }}
                  {{ form.state|as_crispy_field }}
                  {{ form.country|as_crispy_field }}                           
                  

                </div>
                <div class="" id="password-div">
                  {{ form.password1|as_crispy_field }}
                  {{ form.password2|as_crispy_field }}
                </div>
               <div class="" id="bottom-part">
                      <div id="identity_card_front" class="upload-file-field">
                        <div class="row">
                            <div class="col-sm-5">
                                <img  height="auto" width="100%" src="{% static "public/img/verification-1.svg" %}" alt="">
                            </div>
                            <div class="col-sm-7">
                                <div class="row">
                                    <span class="col-sm-12">
                                        <p>Mache ein Selfie von Dir, wie Du die <strong>Vorderseite</strong> Deines Personalausweis neben Deinem Gesicht hochhältst. Die Ausweisnummer sollte erkennbar sein.</p>
                                    </span>
                                    <span class="col-sm-12">         
                                     {{ form.identity_card_front }}                       
                                    </span>  
                                                                     
                                    <button type="button" id="custom-btn1" class="uploadbtn"><img src="/static/public/img/icon-photo.svg"/>Choose a File  </button>
                                    <span id="custom-text1">No file chosen </span>
                                </div>
                            </div>
                        </div>

                      </div>
                   
                    <div class="upload-file-field">
                        <div class="row">
                            <div class="col-sm-5">
                                <img height="auto" width="100%" src="{% static "public/img/verification-2.svg" %}" alt="">
                            </div>
                            <div class="col-sm-7">
                                <div class="row">
                                    <span class="col-sm-12">
                                        <p>Mache ein Selfie von Dir, wie Du die <strong>Rückseite</strong> Deines Personalausweis neben Deinem Gesicht hochhältst. Die Ausweisnummer sollte erkennbar sein.</p>
                                    </span>
                                    <span class="col-sm-12">         
                                     {{ form.identity_card_back }}                       
                                    </span>  
                                                                     
                                    <button type="button" id="custom-btn2" class="uploadbtn"><img src="/static/public/img/icon-photo.svg"/>Choose a File  </button>
                                    <span id="custom-text2">No file chosen </span>
                                   </div>
                            </div>
                        </div>
                    </div>
                    {{ form.identity_number|as_crispy_field }}

                    <div class="form-check confirm-checkboxes">
                      {{ form.service_agreement_accepted|as_crispy_field }}
                    </div>

                    <div class="form-check confirm-checkboxes">
                      {{ form.gdpr_accepted|as_crispy_field }}
                    </div>
                  <div class="text-center" id="div_submitButton">
                        <input type="submit" class="btn" value="Register"></input>
                    </div>
                </div>
             </form>   
             
    </div>
    <div class="spacer"></div>
<script src="{% static 'public/js/idCardUpload.js' %}" type="text/javascript" ></script>
{% endblock %}